Home//
REST API Reference
/- Detach a contact from a group conversation
Add tag to a conversation
Remove tag from a conversation
List all conversations
Creates a conversation
Retrieve a conversation
Update a conversation
Delete a conversation
Search conversations
Reply to a conversation
Manage a conversation
Attach a contact to a conversation
List handling events
List HITL events
List side conversations
Redact a conversation part
Merge a conversation
Convert a conversation to a ticket
List all deleted conversation IDs
Conversation
Conversation List Item
Conversation Monitor Evaluation
Conversation Scorecard
Conversation Scorecard Evaluator
Evaluator Reason
Conversation Scorecard Evaluator Result
Scorecard Note
Note Author
Reviewed Teammate
Reviewer
Revised By
Submitted By
Merge Conversations Request
Detach a contact from a g...
You can remove participants who are contacts from a group conversation, on behalf of an admin.
Removing the last participant
You cannot remove the last remaining contact from a conversation.
Security
bearerAuth
Intercom-Versionstring(intercom_version)
Intercom API version.
If you omit the header, the API uses the version set in your app package, and 1.0 if none is set.
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.17
- The production API serverhttps://api.intercom.io/conversations/{conversation_id}/customers/{contact_id}
- The european API serverhttps://api.eu.intercom.io/conversations/{conversation_id}/customers/{contact_id}
- The australian API serverhttps://api.au.intercom.io/conversations/{conversation_id}/customers/{contact_id}
- Detach a contact from a group conversation
- Conversation not found
- Contact not found
- Last customer
curl -i -X DELETE \
https://api.intercom.io/conversations/123/customers/123 \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-H 'Intercom-Version: 2.17' \
-d '{
"admin_id": 991267739
}'Response
{ "customers": [ { … } ] }